Foreman - Bug #36938

Global Registration - ignore output of some commands
11/22/2023 02:20 PM - Leos Stejskal

Status: Closed
Priority: Normal
Assignee:
Category:
Target version:
Difficulty: Fixed in Releases: 3.10.0,3.9.0
Triaged: No Found in Releases:
Bugzilla link: 2224170 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/9914,
https://github.com/theforeman/foreman/p
ull/10005
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=2224170

Registering client host with Foreman using Global Registration Template shows
"Error: There are no enabled repositories in "/etc/yum.repos.d”, "/etc/yum/repos.d”, "/etc/distro.repos.d".”

Description of problem:

While registering client host with Foreman using Global registration Template,
the registration is successful but below message is shown in the logs which leads to confusion for users.

This system is not registered with an entitlement server. You can use subscription-manager to register.

Error: There are no enabled repositories in "/etc/yum.repos.d”, "/etc/yum/repos.d", "/etc/distro.repos.d".
Associated revisions

Revision b4047942 - 11/29/2023 11:58 AM - Leos Stejskal

Fixes #36938 - Ignore output of some commands in Global Registration

History

#1 - 11/22/2023 02:24 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/9914 added

#2 - 11/29/2023 11:58 AM - The Foreman Bot
- Fixed in Releases 3.9.0 added

#3 - 11/29/2023 12:00 PM - Leos Stejskal
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|b40479428c60b332375bc74843138d4f7feb1468.

#4 - 02/05/2024 11:54 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/10005 added

#5 - 03/05/2024 02:26 PM - Griffin Sullivan

- Subject changed from Global Registration - ignore output of some commands
to Global Registration - ignore output of some commands
https://bugzilla.redhat.com/show_bug.cgi?id=2224170
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/b40479428c60b332375bc74843138d4f7feb1468

- Fixed in Releases 3.10.0 added
